XtDisplay(3)

NAME
XtDisplay, XtDisplayOfObject, XtScreen, XtScreenOfObject, XtWindow, XtWindowOfObject - obtain window information about a widget

SYNTAX

Display *XtDisplay(Widget w);

Display *XtDisplayOfObject(Widget object);

Screen *XtScreen(Widget w);

Screen *XtScreenOfObject(Widget object);

Window XtWindow(Widget w);

Window XtWindowOfObject(Widget object);

ARGUMENTS

w   Specifies the widget.

object
    Specifies the widget.

DESCRIPTION
returns the display pointer for the specified widget.

returns the display pointer for the specified object.

returns the screen pointer for the specified widget.

returns the screen pointer for the specified object.

returns the window of the specified widget.

returns the window of the specified object.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface